HP OpenVMS Systems Documentation

Content starts here

Compaq PATHWORKS V6.1 for OpenVMS (Advanced Server)
Release Notes

Previous Contents

3.12 Licensing Information

This section covers important licensing guidelines that either have not been documented before or need special consideration.

3.12.1 License Enforcement

PATHWORKS for OpenVMS (Advanced Server) requires that clients accessing server resources be appropriately licensed. To conform to this requirement, one of the following must be true:

  • The client must present a client-based license before each attempt to connect or reconnect to a PATHWORKS for OpenVMS (Advanced Server) server.
  • The PATHWORKS for OpenVMS (Advanced Server) must have a server-based license available to assign to an unlicensed client attempting to use services of the PATHWORKS for OpenVMS (Advanced Server).

In both cases, the minimum license required to access PATHWORKS for OpenVMS (Advanced Server) services is the Client Access license PWLMXXXCA07.03 or higher, or an equivalent client virtual license. This license can be used as either a client-based license or a server-based license.

3.12.2 Configuring the License Server to Upgrade Client License

As noted in the Compaq Advanced Server for OpenVMS Guide to Managing Advanced Server Licenses, the License Server does not perform license upgrades by default. You can configure a License Server to upgrade licenses automatically. For example, configured appropriately, the License Server will automatically upgrade a PATHWORKS V5 for OpenVMS (LAN Manager) client license request or a PATHWORKS V6 Advanced Server license request to a PWLMXXXCA07.03 license. The Compaq Advanced Server for OpenVMS Guide to Managing Advanced Server Licenses describes configuring the License Server by editing the License Server start-up command file
SYS$STARTUP:PWRK$LICENSE_S_START.COM to include the logical name definition for the PWRK$LS_V7_ACCESS_UPGRADE logical.

Be sure to define the logical before the following RUN command:


The License Server uses the default lookahead version limit (or the logical PWRK$LICENSE_VERSION_LIMIT) to determine the highest license version to seek.

For more information, refer to the Compaq Advanced Server for OpenVMS Guide to Managing Advanced Server Licenses.

3.12.3 Client License Support

Compaq supports PATHWORKS 32 client license software on Windows 95, Windows 98, Windows NT 4.0, and Windows 2000 clients. For your convenience, unsupported PATHWORKS licensing software for other clients remain available on the Advanced Server kit (in specific, PATHWORKS licensing software for DOS and Windows 3.1, and PATHWORKS licensing software for Protected Mode Windows for Workgroups LAN Manager clients).

3.12.4 Client License Software for Windows 2000 Clients

Windows 2000 clients can obtain client license software either from the PATHWORKS 32 distribution kit, the PWLICENSE share, or from Compaq customer support. To enable clients to access the PWLICENSE share and install the client licensing software, make sure that server-based licensing is enabled.

3.13 Guidelines for External Authentication

The following sections describe various guidelines for setting up and using external authentication. External authentication is supported on OpenVMS systems Version 7.1 and higher. To ensure that external authentication works properly, Compaq recommends that all systems be upgraded to Version 7.1 or higher.

A cluster member that is not running the complete Advanced Server can be configured to authenticate logon requests from network users if it has access to external authentication software on a shared cluster system disk. If it does not have access to external authentication software on a shared cluster system disk, you can enable external authentication on that system by copying only the external authentication images to the system disk, following the steps given in the Compaq PATHWORKS for OpenVMS (Advanced Server) Server Installation and Configuration Guide.

External authentication allows the OpenVMS system manager to set up an OpenVMS user account for which login authentication is verified by the Advanced Server domain security. External authentication allows the Advanced Server to do the user authentication for both Advanced Server domain user and OpenVMS user accounts.

External authentication is an option for users who have both OpenVMS and Advanced Server domain user accounts. It is not required. User host mapping provides the link between these two accounts, as described in the Compaq PATHWORKS for OpenVMS (Advanced Server) Server Administrator's Guide.

With external authentication, users get automatic password synchronization between their OpenVMS account and their corresponding Advanced Server domain account. The passwords are synchronized whenever a user logs in to the OpenVMS account, provided that an Advanced Server domain controller is available to service the request. Externally authenticated users are considered to have a single password and are not subject to OpenVMS password policies, such as password expiration, password history, and minimum and maximum password length restrictions. Users are, however, subject to the Advanced Server domain user account policy that is defined. All other OpenVMS account restrictions remain in effect, such as disabled accounts, time restrictions, and quotas. For information on enabling external authentication, refer to the Compaq PATHWORKS for OpenVMS (Advanced Server) Server Installation and Configuration Guide. For information about setting up the system and enabling OpenVMS user accounts for external authentication, refer to the OpenVMS Guide to System Security.

3.14 Certain Clients Can Log On Using Only One Transport

On clients that use the LANMAN.INI file, the file might contain the WRKNETS keyword in the WORKSTATION section. This keyword specifies the network transports that the client can use and the order in which they are used. On Enhanced Redirector clients, these network transports are represented by local area network adapter (LANA) numbers.

The NET LOGON command works over LANA0 only, regardless of how many transports are loaded on the client. This might affect the client's ability to log on to a domain. For example, if a client runs both NetBEUI and DECnet, and WRKNETS associates NetBEUI with LANA0, NET LOGON fails if NetBEUI is not running on the server. If the domain logon fails, the client can still connect to servers but must provide a password for each session established.

To avoid this problem, do one of the following:

  • Enable all of the transports that are common to both the server and client.
  • Change the WRKNETS parameter to load a common server-client transport on LANA0 (for more information, refer to the client product documentation).

3.15 Installing Optional Server Administration Tools

As noted in the Compaq PATHWORKS for OpenVMS (Advanced Server) Server Installation and Configuration Guide, the Advanced Server provides optional client-based server administration tools that allow you to manage the server from Windows 98, Windows 95, Windows for Workgroups, or Windows NT clients. These tools are available in the PWUTIL share after installing, configuring and starting the server.

The SRVTOOLS directory in the PWUTIL share contains a subdirectory for each type of client computer. Refer to the README.TXT file in the appropriate subdirectory for instructions on installing the software on the client computer.


The subdirectories for the Windows NT platforms do not include a README.TXT file. In addition, attempts to install the server administration tools for a Windows NT platform, using the SETUP.BAT installation file provided in the corresponding Windows NT subdirectory, will fail (the SETUP.BAT file in either \\SERVER\PWUTIL\SRVTOOLS\WINNT or \\SERVER\PWUTIL\SRVTOOLS\WNT40). Error messages will indicate that certain .DLL files could not be found. Therefore, they are not copied to the target directory. These .DLL files were omitted from the Windows NT subdirectories because they are not needed by Windows NT. The workaround for this problem is to remove from the SETUP.BAT file the line that copies the .DLL files and the error-check line that follows it. Or, instead of using the SETUP.BAT file to install the tools, manually copy all the tools files from the subdirectory to the Windows NT target directory.

Refer to the Windows NT Server documentation or use online Help for more information about how to use Windows NT server administration tools.


Windows 2000 file and print server-related tools are available as part of the Windows 2000 server.

3.16 RMS Protections

RMS sets protection on files and directories based on user identification codes (UICs). As described in the Compaq PATHWORKS for OpenVMS (Advanced Server) Server Administrator's Guide, the user's UIC determines which categories a user belongs to (System, Owner, Group, World). RMS assigns file protections for each of these categories. The default protections for files and directories are listed in Table 3-2.

The RMS protections associated with a share definition are used to set RMS protections on new files or directories created within that share. When an object (file or directory) in that share is replaced with an object of the same name from another share, the original object's protections are inherited by the object replacing it.

The default values for the directory protections and file protections are listed in Table 3-2, Default Values for RMS File and Directory Protections:

Table 3-2 Default Values for RMS File and Directory Protections
Protections RMS Protection Codes
Directory S: RWED, O: RWED, G: RWED, W: RE
File S: RWD, O: RWD, G: RWD, W:R

The administrator can change the RMS protection on a specific share by using the ADMINISTER MODIFY SHARE command with the /HOST_ATTRIBUTES qualifier to set the file and directory protections. For example:


Note that granting write access to a category will automatically grant it delete access as well.


Because share data (such as host attributes) is cached when the first client accesses the share, the changes made to share protections are not reflected until either all users are disconnected from the share or the Advanced Server is restarted.

3.17 Using TCP/IP Products with PATHWORKS Advanced Server

PATHWORKS Advanced Server provides transparent support for the following TCP/IP network transport products:

  • Compaq TCP/IP Services for OpenVMS. Version 5.0A or later is recommended and required for dynamic cluster load balancing in WANs. (You can set up dynamic cluster load balancing using TCP/IP Services for OpenVMS Version 4.2 (supported on OpenVMS Version 6.2 systems); however, Compaq recommends using TCP/IP Services for OpenVMS, Version 5.0A or later, which means you would need to upgrade your OpenVMS Version 6.2 systems.) For the software versions supported for each OpenVMS platform, refer to the PATHWORKS V6.1 for OpenVMS (Advanced Server) SPD.
  • MultiNet for OpenVMS, from Process Software LLC
  • TCPWARE for OpenVMS, from Process Software LLC

To use PATHWORKS Advanced Server with TCP/IP, do the following:

  1. Install and, if necessary, configure the TCP/IP product.
    On an OpenVMS VAX system, you should increase the number of interrupt stack pages (INTSTKPAGES) to 10 or more to help eliminate system startup warnings and crashes.
  2. Start the TCP/IP transport and the PATHWORKS IP driver. The procedure depends on which TCP/IP product you use. For more information, refer to the documentation that comes with your TCP/IP product.
  3. Configure PATHWORKS Advanced Server to use TCP/IP: run ADMIN/CONFIG, select Transports, and check the TCP/IP box to enable the use of the TCP/IP transport.
  4. Start the PATHWORKS Advanced Server. Enter the following OpenVMS command, or add it to the system startup procedure:


3.18 Patches Required for Running the Advanced Server

The first two sections describe patches required for servers running on OpenVMS Version 6.2 and V7.1, respectively. The third sections describes patches required for XQP support.

3.18.1 Patch Required for Servers Running on OpenVMS V6.2

OpenVMS versions prior to V7.1 have a documented delta-time restriction that might cause a serious error in the PATHWORKS for OpenVMS software, such as wrong file creation dates beginning on or around 19-MAY-1997. Digital Equipment Corporation provided ECOs (Engineering Change Orders) that remove the delta-time restriction.

If you are running the PATHWORKS V6.1 for OpenVMS (Advanced Server) on OpenVMS Version 6.2, Compaq requires that you install the appropriate ECO, as follows (ECO versions are minimum recommended levels):

Table 3-3 OpenVMS Operating System Versions and ECO Kit Names
For these versions of OpenVMS: Install this ECO kit:
OpenVMS Alpha Version 6.2, including:
  • V6.2
  • V6.2-1H1
  • V6.2-1H2
  • V6.2-1H3
OpenVMS VAX Version 6.2 VAXY2K02_062

3.18.2 Patch Required for Servers Running on OpenVMS Version 7.1

If the PATHWORKS V6.1 for OpenVMS (Advanced Server) is running OpenVMS Version 7.1, then DEC C RTL patch ALPACRT08_071 (Alpha) or VAXACRT09_071 (VAX), or higher versions of these patches, must be installed.

Compaq also recommends that F11BXQP patch ALPY2K01_071 (Alpha) or VAXY2K01_071 (VAX), or higher versions of these patches, be installed.

3.18.3 Patches Required for XQP Support

You are required to install the following patches on your system. If your Advanced Server participates in an OpenVMS Cluster, these patches must be installed on all cluster members, even those that do not run the Advanced Server.


These are the lastest patches as of this current release. HP recommends that you keep your patches up to date. Keep track of new patches and implement them as appropriate.

Table 3-4 Minimum-Level Patches Required Per Operating System Version
VAX Kits Platform
VAXF11X06_062 OpenVMS V6.2
VAXF11X05_071 OpenVMS V7.1
VAXF11X03_072 OpenVMS V7.2
Alpha Kits Platform
ALPF11X05_062 OpenVMS V6.2
ALPF11X06_071 OpenVMS V7.1
VMS712_F11X-V0100 OpenVMS V7.1-2
VMS72_F11X-V0200 OpenVMS V7.2
VMS721_F11X-V0300 OpenVMS V7.2-1
VMS721H1_F11X-V0100 OpenVMS V7.2-1H1

3.19 Enabling XQP+ Support

By default, XQP+ is installed with OpenVMS; no special installation of XQP+ is necessary. XQP+ is enabled automatically on OpenVMS Version 7.2 or later systems. However, on OpenVMS Version 6.2 and 7.1 systems, you must specifically enable it by setting the SYSGEN parameters listed in Table 3-5 to the values indicated in the third column. The functions provided by these parameters are described in more detail in Section 2.2.11, XQP+ Support.

Table 3-5 SYSGEN Parameter Settings to Enable XQP+
Parameter XQP+ Function Setting to Enable Default
XQPCTLD1 Controls multithreading (used only by PATHWORKS servers) 8 0 (multithreading disabled)
XQPCTL2 Controls improved concurrency 1 0 (improved concurrency disabled)
ACP_WRITEBACK Enables asynchronous cache writes (write-back). 1 1 (the value 0 disables write-back)

If the PATHWORKS Advanced Server participates in an OpenVMS Cluster, the values of these SYSGEN parameters should be the same on all cluster members, regardless of whether all cluster members run PATHWORKS.

3.20 Case-sensitivity for File Names and ADMINISTER Commands

Beginning with OpenVMS Version 7.3-1, an option for case-sensitive lookups of file names is supported. Case-blind file name lookup is the default behavior for OpenVMS and the Advanced Server. As reported in the OpenVMS Alpha Version 7.3-1 Release Notes, case-sensitive file name lookup is a very significant change in behavior and cannot be expected to work seamlessly with existing applications. Likewise, command line processing of case-sensitive commands might result in unexpected behavior. Compaq recommends that you do not enable this feature on systems that run the Advanced Server. For more information, see Section 7.4.1, Case Sensitivity.

Previous Next Contents